diff --git a/doc/src/sgml/bloom.sgml b/doc/src/sgml/bloom.sgml
index 7349095..ff0bf76 100644
--- a/doc/src/sgml/bloom.sgml
+++ b/doc/src/sgml/bloom.sgml
@@ -22,8 +22,8 @@
    allows fast exclusion of non-candidate tuples via signatures.
    Since a signature is a lossy representation of all indexed attributes, 
    search results must be rechecked using heap information. 
-   The user can specify signature length (in uint16, default is 5) and the
-   number of bits, which can be set per attribute (1 < colN < 2048).
+   The user can specify signature length in units of 16 bits (default is 5)
+   and the number of bits per indexed attribute.
   </para>
 
   <para>
@@ -51,7 +51,7 @@
     <term><literal>length</></term>
     <listitem>
      <para>
-      Length of signature in uint16 type values
+      Length of signature in units of 16 bits
      </para>
     </listitem>
    </varlistentry>
@@ -160,7 +160,7 @@ SELECT pg_relation_size('btree_idx');
  </sect2>
 
  <sect2>
-  <title>Opclass interface</title>
+  <title>Opclass Interface</title>
 
   <para>
    The Bloom opclass interface is simple.  It requires 1 supporting function:
@@ -178,7 +178,7 @@ DEFAULT FOR TYPE text USING bloom AS
  </sect2>
 
  <sect2>
-  <title>Limitation</title>
+  <title>Limitations</title>
   <para>
 
    <itemizedlist>
